<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Vulernapp</title>
	<link href="./bootstrap.min.css" rel="stylesheet">
	<script src="script.js" defer></script>
</head>
<body>
<div class="container">
	<header class="lh-1 py-3">
		<div class="row flex-nowrap justify-content-between align-items-center">
			<div class="col-1 pt-1">
				<img width="48" src="./fingerprint.svg">
			</div>
			<div class="col-7">
				<h1>Vulnerapp Blog</h1>
			</div>
			<div class="col-4">
				<div>
					<form id="login-form" class="d-flex justify-content-end align-items-center" >
						<input class="form-control me-1" type="text" placeholder="user" aria-label="Username">
						<input class="form-control me-1" type="password" placeholder="password"  aria-label="Password">
						<button class="btn btn-outline-primary" type="submit">Login</button>
					</form>
				</div>
				<div>
					<form id="logout-form" class="d-flex justify-content-end align-items-center">
						<p id="username" class="m-2"></p>
						<button class="btn btn-outline-secondary" type="submit">Logout</button>
					</form>
				</div>
			</div>
		</div>
	</header>
</div>
<main class="container">
	<div class="p-4 p-md-5 mb-4 rounded text-bg-dark">
		<div class="col-md-6 px-0">
			<h1 class="display-5 fst-italic">A Web Security Nightmare</h1>
			<p class="lead my-3">A playground application with many security-antipatterns and room for improvement.</p>
		</div>
	</div>
	<div class="row g-5">
		<div class="col-md-8" id="blog-container">
			<!-- content here is added dynamically -->
		</div>
		<div class="col-md-4">
			<div class="position-sticky" style="top: 2rem;">
				<div class="p-4 mb-3 bg-body-tertiary rounded">
					<h4 class="fst-italic">New Blog</h4>
					<form id="blog-form">
						<input class="form-control mb-1" type="text" placeholder="Title" aria-label="Title">
						<textarea class="form-control mb-1" rows="3" aria-label="Blog Content"></textarea>
						<button class="btn btn-outline-primary" type="submit">Post</button>
					</form>
				</div>
				<div class="p-4">
					<h4 class="fst-italic">Interesting Read</h4>
					<ol class="list-unstyled">
						<li><a href="https://owasp.org/Top10/">OWASP Top 10</a></li>
						<li><a href="https://docs.spring.io/spring-boot/docs/3.0.5/reference/htmlsingle/#web">Spring Web</a></li>
						<li><a href="https://docs.spring.io/spring-security/reference/index.html">Spring Security</a></li>
					</ol>
				</div>
			</div>
		</div>
	</div>
</main>
</body>
</html>
